<?xml version="1.0" encoding="UTF-8"?>
<panel version="14">
 <properties>
  <prop name="Name">
   <prop name="en_US.utf8"></prop>
  </prop>
  <prop name="Size">400 400</prop>
  <prop name="BackColor">_3DFace</prop>
  <prop name="RefPoint">96 165.7053211124526</prop>
  <prop name="InitAndTermRef">True</prop>
  <prop name="SendClick">False</prop>
  <prop name="RefFileName"></prop>
  <prop name="DPI">144</prop>
  <prop name="layoutType">None</prop>
 </properties>
 <events>
  <script name="Initialize" isEscaped="1"><![CDATA[  main()
{
Digital_Value_Name.text = dpGetDescription($sDp1 + &quot;.&quot;);

    dpConnect(&quot;DisplayValueCB&quot;, $sDp1 + &quot;.IsOn&quot;);

}


void
     DisplayValueCB(string dp1, bool isOn)
{

            if (isOn)
              setValue(&quot;Digital_Status_Indicator&quot;, &quot;color&quot;, &quot;red&quot;);
            else
              setValue(&quot;Digital_Status_Indicator&quot;, &quot;color&quot;, &quot;green&quot;);



}
]]></script>
 </events>
 <shapes>
  <shape layerId="0" Name="Digital_Status_Indicator" shapeType="RECTANGLE">
   <properties>
    <prop name="serialId">1</prop>
    <prop name="Type"></prop>
    <prop name="RefPoint">210 200</prop>
    <prop name="Enable">True</prop>
    <prop name="Visible">True</prop>
    <prop name="ForeColor">{0,0,0}</prop>
    <prop name="BackColor">{255,255,255}</prop>
    <prop name="TabOrder">0</prop>
    <prop name="ToolTipText">
     <prop name="en_US.utf8"></prop>
    </prop>
    <prop name="layoutAlignment">AlignNone</prop>
    <prop name="snapMode">Point</prop>
    <prop name="DashBackColor">_Transparent</prop>
    <prop name="AntiAliased">False</prop>
    <prop name="LineType">[solid,oneColor,JoinBevel,CapProjecting,1]</prop>
    <prop name="BorderZoomable">False</prop>
    <prop name="FillType">[solid]</prop>
    <prop name="Geometry">-0.4242640687119251 0.4242640687119254 -0.5656854249492382 -0.5656854249492381 415.232539419352 207.0710678118662</prop>
    <prop name="BorderStyle">Normal</prop>
    <prop name="Location">210 200</prop>
    <prop name="Size">-41 -31</prop>
    <prop name="CornerRadius">0</prop>
    <prop name="Transformable">True</prop>
   </properties>
  </shape>
  <shape layerId="0" Name="Digital_Value_Name" shapeType="PRIMITIVE_TEXT">
   <properties>
    <prop name="serialId">2</prop>
    <prop name="Type"></prop>
    <prop name="RefPoint">98 171.0294372515229</prop>
    <prop name="Enable">True</prop>
    <prop name="Visible">True</prop>
    <prop name="ForeColor">white</prop>
    <prop name="BackColor">_Window</prop>
    <prop name="TabOrder">1</prop>
    <prop name="ToolTipText">
     <prop name="en_US.utf8"></prop>
    </prop>
    <prop name="layoutAlignment">AlignNone</prop>
    <prop name="snapMode">Point</prop>
    <prop name="DashBackColor">_Transparent</prop>
    <prop name="AntiAliased">False</prop>
    <prop name="LineType">[solid,oneColor,JoinBevel,CapProjecting,1]</prop>
    <prop name="BorderZoomable">False</prop>
    <prop name="FillType">[outline]</prop>
    <prop name="Location">98 171.0294372515229</prop>
    <prop name="Size">101 21</prop>
    <prop name="Font">
     <prop name="en_US.utf8">MS Shell Dlg 2,-1,11,5,50,0,0,0,0,0</prop>
    </prop>
    <prop name="Text">
     <prop name="en_US.utf8"></prop>
    </prop>
    <prop name="Distance">2</prop>
    <prop name="BorderOffset">2</prop>
    <prop name="Bordered">True</prop>
    <prop name="Fit">False</prop>
    <prop name="Transformable">False</prop>
    <prop name="TextFormat">[0s,,,AlignHCenter|AlignVCenter]</prop>
   </properties>
   <events>
    <script name="Clicked" isEscaped="1"><![CDATA[// SimpleCtrlScriptStart {valid}
main()
{
  EP_childPanelOn();
}

void EP_childPanelOn()
{
  ChildPanelOnCentralModal(&quot;Value_Trend_Digital.xml&quot;,
      &quot;&quot;,
      makeDynString(&quot;$sDp1:&quot; + $sDp1));
}

// SimpleCtrlScript {EP_childPanelOn}
// Function {ChildPanelOnCentralModal}
// File {Value_Trend.xml}
// Panel {}
// Parent {}
// Module {}
// OffsetX {0}
// OffsetY {0}
// PanelPara1 {$sDp1:$sDp1}
// SimpleCtrlScriptEnd {EP_childPanelOn}
]]></script>
   </events>
  </shape>
 </shapes>
</panel>
